Download it now!
Bug 68795 - mistake in language name: "Assami" should read "Assamese"
Summary: mistake in language name: "Assami" should read "Assamese"
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Localization (show other bugs)
Version:
(earliest affected)
3.5.7.2 release
Hardware: Other All
: medium normal
Assignee: Khaled Hosny
URL:
Whiteboard: target:4.2.0
Keywords:
Depends on:
Blocks:
 
Reported: 2013-08-31 17:39 UTC by Gitartha Bordoloi
Modified: 2013-09-02 17:37 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
ZIP of screenshots showing use of Assami instead of Assamese. (225.15 KB, application/zip)
2013-09-01 00:00 UTC, Owen Genat (retired)
Details
ZIP of screenshots (v3572 and v4104) showing Assami. (478.75 KB, application/zip)
2013-09-01 00:15 UTC, Owen Genat (retired)
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Gitartha Bordoloi 2013-08-31 17:39:20 UTC
I downloaded LibreOffice 4.1.1.2 (Build ID: 7e4286b58adc75a14f6d83f53a03b6c11fa2903) yesterday and noticed a mistake. When I typed in LibreOffice writer in my mother tongue, it showed 'Assami' in the language bar below. It should be 'Assamese' (https://en.wikipedia.org/wiki/Assamese_language), not 'Assami' which means 'convicted' in our language. None of the other indic languages have been named wrong in LibreOffce writer. Please correct the mistake as soon as possible. Thank you.

(I'm using windows 7.)
Comment 1 Owen Genat (retired) 2013-09-01 00:00:08 UTC
Created attachment 84980 [details]
ZIP of screenshots showing use of Assami instead of Assamese.

I am confirming this bug. Setting status to NEW. I have attached three screenshots showing the main window and Character dialog in situations on Crunchbang 11 running TDF/LO v4.1.0.4, where the word "Assami" appears rather than "Assamese".
Comment 2 Owen Genat (retired) 2013-09-01 00:15:41 UTC
Created attachment 84981 [details]
ZIP of screenshots (v3572 and v4104) showing Assami.

I should have checked this earlier version (v3.5.7.2) before uploading the last attachment. This attachment includes screenshots from both v3.5.7.2 and v4.1.0.4 running under Crunchbang 11. It is clear that this text goes back to at least the v3.5 series and possibly before. There may be a reason for this, although the original reporter (who has put themselves forward as a native speaker / reader) does indicate that the text is erroneous.
Comment 3 Owen Genat (retired) 2013-09-01 00:17:17 UTC
Setting version back to v3.5.7.2 release and status to NEW.
Comment 4 Owen Genat (retired) 2013-09-01 00:29:40 UTC
Apologies for the multiple updates. I am changing the the Summary to make it clearer which language this bug relates to and setting the Component to Localisation. Can we get a LibreOffice Hindi L10n representative to have a look at this? I am uncertain who to add as a contact. Is discuss@hi.libreoffice.org the right address to use?
Comment 5 Peter Maunder 2013-09-01 08:16:46 UTC
In case this is of any interest.

According to the Unicode 5.0 standard manual published in 2007 - page 312.

Bengali: U+0980 - U+09FF is a North Indian script closely related to Devanagari (U+0900 - U+097F). It is used to write Bengali language primarily in the West Bengal state.It is also used to write Assamese in Assam and a number of other minority languages such as .... 

I notice that LibO 4.1.1 Writer en-GB spellchecker, and Firefox does pick up Assami as an incorrectly spelt word but allows Assam and Assamese.
Comment 6 Commit Notification 2013-09-01 19:21:55 UTC
Khaled Hosny committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=b81d16d79990dccf263367356826a30f23439367

fdo#68795: Fix name of Assamese language



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 7 Gitartha Bordoloi 2013-09-02 17:37:49 UTC
Thank you for your prompt action.